#include<bits/stdc++.h>
using namespace std;
int main(){
    int t;
    cin>>t;
    vector<int> n(t);
    for(int i=0;i<t;i++){
        cin>>n[i];
    }
    vector<int> brojevi;
    int proizvod=1;
    int br=0;
    bool ima=false;
    bool prvi=true;
    for(int i=0;i<t;i++){
        br=0;
        ima=false;
        brojevi.clear();
        proizvod=1;
        for(int j=1;j<=n[i];j++){
            int j2=j;
            while(j2>0){
                proizvod*=j2%10;
                j2/=10;
            }
            if(proizvod>brojevi.size()/2){
                for(int k=brojevi.size()/2;k<brojevi.size();k++){
                    if(brojevi[k]==proizvod){
                        ima=true;
                    }
                }
            }
            else{
                for(int k=brojevi.size()/2;k<brojevi.size();k--){
                    if(brojevi[k]==proizvod){
                        ima=true;
                    }
                }
            }
            if(!ima){
                brojevi.push_back(proizvod);
                br++;
            }
            proizvod=1;
            ima=false;
        }
        brojevi.clear();
        cout<<br<<endl;
    }
}